Subject: FAQ: International E-mail accessability
From: [email-masked] (Olivier M.J. Crepin-Leblond)
Date: 3 Jun 1993 00:00:13 -0400
Newsgroups: comp.mail.misc,comp.mail.uucp,news.newusers.questions,alt.internet.services,alt.answers,comp.answers,news.answers

Archive-name: mail/country-codes
Last-modified: 1993/06/2

Based on International Standard ISO 3166 Names
Compiled by Olivier M.J. Crepin-Leblond
E-mail: <[email-masked]>
Release: 93.6.4 

Release Notes:   a. New document name, because the previous name,
                    top-level-domains was confusing due to the fact that
                    some countries have E-mail access before a top
                    level domain is registered at rs.internic.net .
                 b. Senegal, Turkmenistan, Burkina Faso available
                 c. Full Internet for Romania and Turkey
                 d. Updated Nameserver info for many codes.
                 e. Replaced reference to clu.net by clu.edu
                 f. domain registration moved from nic.ddn.mil to
                    rs.internic.net (except .mil domains)
 
     Every now-and-then there are enquiries on the net regarding
E-mail to a distant country. The question is often of the type
"has that country got E-mail access ?". The following table is a
guide of country codes, showing the countries which have access to
Internet or general E-mail services. The country codes have been
derived from the International Organization for Standardization 
standard ISO 3166.  A country code is taken as a top level domain
once it is registered at rs.internic.net so *not* all country codes
listed are top level domains. At the bottom of the table, there is
also a section of general top level domains, based on the information
available at rs.internic.net.

NOTES:

1. Description of codes:

- FI stands for FULL INTERNET access. This includes 'telnet', 'ftp',
  and internet E-mail.
- B stands for BITNET access although the address may be in internet
  DNS (Domain Name System) format. 
- * (Asterisk) means that the country is reachable by E-mail. If this is
  not preceded by FI or B, it means that the connection may be a UUCP
  connection. An asterisk is included after FI or B for consistency.
- PFI stands for a provisional full internet connection.(+) 
- P stands for provisional connection. (+)
   (+) This is used when one or more of the following is true:
       - address not verified or lack of address
       - UUCP dialup not active
       - net connection possible but not officially announced
       - premature official announcement of connection

2. Networks which are not included:

Networks such as MILNET (U.S. Army) have computers all around the
world. It is generally possible to assume that wherever there is
a U.S. military base, there will be a node reachable through gateways.

Private company networks such as for DEC (Digital Equipment Corp.),
or Sun Microsystems, for example, have nodes in many exotic locations.
However the connection may take place via UUCP and cost a lot of money.
Those networks have therefore not been included. In addition, those
are PRIVATE networks.

Many companies ( like U.S. Sprint, for example ) offer commercial 
services to many countries which are not readily available on 
the Internet. The service is VERY COSTLY, usually takes place via
UUCP or X.400 connections. X.400 E-mail is usually charged to
someone and if the telecommunication carrier cannot find someone
to pay for the message transfer, it will reject it. As a result,
those types of network have not been included in the list.
Although a user may RECEIVE E-mail from a user on those networks, one 
may not be able to reply to it.

Some hobbyists have put together networks using their PCs which store
and forward E-mail to remote locations. This is the case of FIDONET
users. Some FIDO nodes apparently exist throughout Africa, the Middle-
East, etc. Those have not been included since the forwarding of E-mail 
is to the discretion of the SYSADMINS of the forwarding systems and,
once again, it costs money.

3. Updates

    The situation changes from day to day. The growth in international
networking is such that the information contained in this document
may be out of date by the time it reaches you.
If you have any update (i.e. knowledge that a new country is connected),
please send a message to <[email-masked]>, including an example address
from the country reached so that it can be verified.

4. .US sites

    While there are several hundreds of BITNET nodes in USA, none have
a name in the format `.US'. That's why the .us domain is only FI and *.

5. .edu, .com, etc.

    The domains in this section are special in that some of them are
used in more than one country. The domains which have full internet 
access are marked accordingly. However, this doesn't mean that *all*
of  those  domains  have  full  internet  access.   For   example,
only a small proportion of .mil sites have full internet access. The
same is true for .com sites, for example.  

6. UK and GB domains

     There are two codes for United Kingdom, namely UK and GB. While 
UK is used for addressing of most domains in DNS format, the field 
GB is used mainly in the X.400 addressing of United Kingdom sites.
However, there is an increasing trend in some United Kingdom sites
being directly connected to Internet under the GB domain. The GB domain
is hence a perfectly suitable Internet top level domain.

7. Main nameservers

     This is the main nameserver as listed in the rs.internic.net database.
Those often change as the network grows, and it is hard to keep track of
all nameservers, but they should usually work. Nameservers can be 
queried by users using nslookup.

8. Archiving

    Once released, this document is archived in a number of archive
sites around the world. Amongst them:

rtfm.mit.edu        (18.70.0.226) directory: /pub/usenet/news.answers/mail
ftp.uu.net          (192.48.96.9) directory: /usenet/news.answers/mail
lth.se            (130.235.20.3) directory: /archive2/netnews/news.answers/mail
unix.hensa.ac.uk   (129.12.21.7) directory: /pub/uunet/usenet/news.answers/mail
grasp1.univ-lyon1.fr (134.214.100.25) directory: /pub/faq/mail

Via listserver request: [email-masked]
with the command: get faq mail/country-codes

All FAQs are also available via [email-masked]   or
[email-masked] . For an index of all FAQs available,
put the command GET NETFAQS FILELIST in the body of your message.

The document is also retrievable by E-mail from rtfm.mit.edu by
sending an E-mail to [email-masked] , blank subject line
and the command: send usenet/news.answers/mail/country-codes

The up-to-date, pre-release document is also available using an
experimental simple mail-server that I have setup from my account.
Send E-mail to: <[email-masked]> with a subject: archive-server-request
and the command: get mail/country-codes  in the body of your message.

ISO 3166 Codes + Top level domains.

Code    Country              Conn     Notes           main nameserver
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
AD   Andorra                                            
AE   United Arab Emirates        *                    ns.uu.net
AF   Afghanistan
AG   Antigua and Barbuda         *                    upr1.upr.clu.edu 
AI   Anguilla
AL   Albania                     P                    gwd2i.cnuce.cnr.it
AM   Armenia                          Ex-USSR
AN   Netherland Antilles 
AO   Angola
AQ   Antarctica             FI   *                    luxor.cc.waikato.ac.nz
AR   Argentina              FI B *                    ns.uu.net
AS   American Samoa
AT   Austria                FI B *                    pythia.edvz.univie.ac.at
AU   Australia              FI   *                    munnari.oz.au 
AW   Aruba
AZ   Azerbaidjan                      Ex-USSR
BA   Bosnia-Herzegovina               Ex-Yugoslavia
BB   Barbados                    *                    upr1.upr.clu.edu
BD   Bangladesh
BE   Belgium                FI B *                    ub4b.buug.be
BF   Burkina Faso                *                    orstom.orstom.fr
BG   Bulgaria               FI B *                    pythia.ics.forth.gr
BH   Bahrain                   B *    Gulfnet
BI   Burundi
BJ   Benin
BM   Bermuda                     *                    ns.uu.net
BN   Brunei Darussalam
BO   Bolivia                     *                    ns.uu.net
BR   Brazil                 FI B *                    fpsp.fapesp.br
BS   Bahamas                     *                    upr1.upr.clu.edu
BT   Buthan
BV   Bouvet Island
BW   Botswana                    *                    hippo.ru.ac.za
BY   Belarus                     *    Ex-USSR
BZ   Belize                      P                    upr1.upr.clu.edu
CA   Canada                 FI B *                    relay.cdnnet.ca
CC   Cocos (Keeling) Isl.
CF   Central African Rep.
CG   Congo
CH   Switzerland            FI B *                    scsnms.switch.ch
CI   Ivory Coast
CK   Cook Islands
CL   Chile                  FI B *                    dcc.uchile.cl
CM   Cameroon               FI   *    in .fr domain   inria.inria.fr
CN   China                 PFI   *                    iraun1.ira.uka.de
CO   Colombia                  B *                    cunixd.cc.columbia.edu
CR   Costa Rica             FI B *                    ns.cr 
CS   Czechoslovakia         FI B *    still works...  ns.cesnet.cz 
CU   Cuba                        *                    igc.org
CV   Cape Verde
CX   Christmas Island
CY   Cyprus                    B *                    pythia.ics.forth.gr
CZ   Czech Republic         FI   *                    ns.cesnet.cz
DE   Germany                FI B *            deins.informatik.uni-dortmund.de 
DJ   Djibouti
DK   Denmark                FI B *                    ns.dknet.dk
DM   Dominica                    P                    upr1.upr.clu.edu
DO   Dominican Republic          P                    upr1.upr.clu.edu
DZ   Algeria                     
EC   Ecuador                FI B *                    ecnet.ec
EE   Estonia                FI   *    Ex-USSR         uvax2.kbfi.ee
EG   Egypt                 PFI B *                    frcu.eun.eg
EH   Western Sahara
ES   Spain                  FI B *                    sun.rediris.es
ET   Ethiopia
FI   Finland                FI B *                    funet.fi
FJ   Fiji                        *                    truth.waikato.ac.nz
FK   Falkland Isl.(Malvinas)
FM   Micronesia 
FO   Faroe Islands               P                    danpost.uni-c.dk
FR   France                 FI B *                    inria.inria.fr 
FX   France (European Ter.)           ???
GA   Gabon
GB   Great Britain (UK)     FI   *    X.400 & IP      ns1.cs.ucl.ac.uk
GD   Grenada                     P                    upr1.upr.clu.edu
GE   Georgia                     *    Ex-USSR         ns.eu.net
GH   Ghana
GI   Gibraltar
GL   Greenland
GP   Guadeloupe (Fr.)
GQ   Equatorial Guinea
GF   Guyana (Fr.)
GM   Gambia
GN   Guinea
GR   Greece                 FI B *                    pythia.ics.forth.gr
GT   Guatemala                   *                    ns.uu.net
GU   Guam (US)
GW   Guinea Bissau
GY   Guyana
HK   Hong Kong              FI B *                    hp9000.csc.cuhk.hk
HM   Heard & McDonald Isl.
HN   Honduras                    *                    ns.uu.net
HR   Croatia                FI   *    Ex-Yugo         dns.srce.hr 
HT   Haiti
HU   Hungary                FI B *                    sztaki.hu
ID   Indonesia                   *                    ns.uu.net
IE   Ireland                FI B *                    nova.ucd.ie
IL   Israel                 FI B *                    relay.huji.ac.il
IN   India                  FI B *                    sangam.ncst.ernet.in
IO   British Indian O. Terr.
IQ   Iraq
IR   Iran                      B *                    
IS   Iceland                FI B *                    isgate.is
IT   Italy                  FI B *                    dns.nis.garr.it
JM   Jamaica                     *                    upr1.upr.clu.edu
JO   Jordan
JP   Japan                  FI B *                    jp-gate.wide.ad.jp
KE   Kenya                       *                    rain.psg.com
KG   Kirgistan                        Ex-USSR
KH   Cambodia
KI   Kiribati
KM   Comoros
KN   St.Kitts Nevis Anguilla     P                    upr1.upr.clu.edu
KP   Korea (North)               P                    
KR   Korea (South)          FI B *                    ns.kaist.ac.kr
KW   Kuwait                 FI   *    No BITNET       dns.kuniv.edu.kw
KY   Cayman Islands
KZ   Kazachstan                  *    Ex-USSR in .su domain
LA   Laos
LB   Lebanon
LC   Saint Lucia                 P                    upr1.upr.clu.edu
LI   Liechtenstein         PFI   *                    scsnms.switch.ch
LK   Sri Lanka                   *                    ns.eu.net
LR   Liberia
LS   Lesotho                     *                    hippo.ru.ac.za
LT   Lithuania             PFI   *    Ex-USSR         aun.uninett.no
LU   Luxembourg             FI B *                    menvax.restena.lu
LV   Latvia                 FI   *    Ex-USSR         lapsene.mii.lu.lv
LY   Libya
MA   Morocco
MC   Monaco
MD   Moldavia                         Ex-USSR         
MG   Madagascar
MH   Marshall Islands
ML   Mali
MM   Myanmar
MN   Mongolia
MO   Macau                       *                    hkuxb.hku.hk
MP   Northern Mariana Isl.
MQ   Martinique (Fr.)
MR   Mauritania
MS   Montserrat
MT   Malta                       P                    ns.iunet.it
MU   Mauritius
MV   Maldives
MW   Malawi
MX   Mexico                 FI B *                    mtecv1.mty.itesm.mx 
MY   Malaysia               FI B *                    mimos.my
MZ   Mozambique                  *                    hippo.ru.ac.za
NA   Namibia                     *                    rain.psg.com
NC   New Caledonia (Fr.)
NE   Niger                       *    in .fr domain   inria.inria.fr
NF   Norfolk Island
NG   Nigeria
NI   Nicaragua                   *                    ns.uu.net
NL   Netherlands            FI B *                    sering.cwi.nl
NO   Norway                 FI B *                    nac.no
NP   Nepal
NR   Nauru
NT   Neutral Zone
NU   Niue
NZ   New Zealand            FI   *                    truth.waikato.ac.nz
OM   Oman
PA   Panama                    B *                     
PE   Peru                      B *                    rain.psg.com
PF   Polynesia (Fr.)
PG   Papua New Guinea            *                    munnari.oz.au
PH   Philippines                 *                    ns.uu.net
PK   Pakistan                    *                    ns.uu.net 
PL   Poland                 FI B *                    danpost.uni-c.dk 
PM   St. Pierre & Miquelon
PN   Pitcairn
PT   Portugal               FI B *                    ns.dns.pt
PR   Puerto Rico (US)       FI B *                    sun386-gauss.pr
PW   Palau
PY   Paraguay                    *                    ns.uu.net
QA   Qatar
RE   Reunion (Fr.)          FI   *    In .fr domain   inria.inria.fr
RO   Romania                FI B *                    roearn.ici.ac.ro
RU   Russian Federation          P    Ex-USSR         
RW   Rwanda
SA   Saudi Arabia              B *    GulfNet         
SB   Solomon Islands
SC   Seychelles
SD   Sudan
SE   Sweden                 FI B *                    sunic.sunet.se
SG   Singapore              FI B *                    solomon.technet.sg
SH   St. Helena
SI   Slovenia               FI   *    Ex-Yugos via .yu klepec.yunac.yu
SJ   Svalbard & Jan Mayen Is
SK   Slovak Republic        FI   *                    ns.eunet.sk
SL   Sierra Leone
SM   San Marino
SN   Senegal                     *                    rain.psg.com
SO   Somalia
SR   Suriname                    P                    upr1.upr.clu.edu
ST   St. Tome and Principe
SU   Soviet Union           FI B *    Still used.     ns.eu.net 
SV   El Salvador
SY   Syria
SZ   Swaziland
TC   Turks & Caicos Islands
TD   Chad
TF   French Southern Terr.
TG   Togo
TH   Thailand               FI   *                    chulkn.chula.ac.th
TJ   Tadjikistan                      Ex-USSR         
TK   Tokelau      
TM   Turkmenistan                *    Ex-USSR in .su domain         
TN   Tunisia                FI B *                    spiky.rsinet.tn
TO   Tonga
TP   East Timor
TR   Turkey                 FI B *                    knidos.cc.metu.edu.tr
TT   Trinidad & Tobago           P                    upr1.upr.clu.edu
TV   Tuvalu
TW   Taiwan                 FI B *                    moevax.edu.tw 
TZ   Tanzania
UA   Ukraine                     *    Ex-USSR via .su ns.eu.net
UG   Uganda
UK   United Kingdom         FI B *    ISO 3166 is GB  ns1.cs.ucl.ac.uk
UM   US Minor outlying Isl.
US   United States          FI   *    see note (4)    venera.isi.edu
UY   Uruguay                   B *                    ns.uu.net
UZ   Uzbekistan                       Ex-USSR
VA   Vatican City State
VC   St.Vincent & Grenadines     P                    upr1.upr.clu.edu
VE   Venezuela              FI   *                    nisc.jvnc.net
VG   Virgin Islands (British)
VI   Virgin Islands (US)         *                    
VN   Vietnam                     *                    
VU   Vanuatu
WF   Wallis & Futuna Islands
WS   Samoa
YE   Yemen
YU   Yugoslavia             FI B *    Bitnet is cut   klepec.yunac.yu
ZA   South Africa           FI   *                    rain.psg.com
ZM   Zambia
ZR   Zaire
ZW   Zimbabwe                    *                    rain.psg.com

See Note [5] for the next top level domains (rs.internic.net):

ARPA Old style Arpanet           *    alias still works ns.nic.ddn.mil
COM  Commercial             FI   *                    ns.nic.ddn.mil
EDU  Educational            FI B *                    ns.nic.ddn.mil
GOV  Government             FI   *                    ns.nic.ddn.mil
INT  International field    FI   *    used by Nato    ns1.cs.ucl.ac.uk
MIL  US Military            FI   *                    ns.nic.ddn.mil
NATO Nato field                  *    soon to be deleted
NET  Network                FI   *                    ns.nic.ddn.mil
ORG  Non-Profit OrganizationFI   *                    ns.nic.ddn.mil

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
DISCLAIMER: while every effort is made to provide accurate information,
this list is not guaranteed to be accurate. This document is in NO WAY
an official document. The information given should not be used as a basis
for routing tables but only as general end-user information. This is a
voluntary effort. I would appreciate greatly if errors/omissions could
be pointed out to me and they would be corrected in the next release. 
The information included in this document implies no view whatsoever
regarding questions of sovereignty or the status of any place listed.
Affiliation to Imperial College is given for identification purposes only.

-- 
Olivier M.J. Crepin-Leblond, Digital Comms. Section, Elec. Eng. Department
 Imperial College of Science, Technology and Medicine, London SW7 2BT, UK
       Internet/Bitnet: <[email-masked]> - Janet: <[email-masked]>